//-----------------------------------------------------------------
// PLC Program Numbers.h - Created Fred Foscalina
// These are the macros for PLC and PMC numbers
//-----------------------------------------------------------------
//
//$Modtime: 3/11/13 10:56a $
//$Revision: 3 $
//$Author: Fredf $ 

#ifndef __PLC_PROGRAM_NUMBERS_H__
#define __PLC_PROGRAM_NUMBERS_H__

// PLC numbers
#define CriticalPLC						0
#define InitializationPLC				1
#define IOMultiplexPLC					2
#define RunPanelButtonsPLC  			3
#define HomeAllPLC						4
#define EHWJogPLC						5
#define EHWFeedOverPLC					6
#define RigidTappingPLC					7
#define StatusPLC						8
#define TrakingPLC						9

#define OpenLoopStarterPLC				10

#define HandwheelPLC					15

#define ResetServosPLC					19
#define MaintenancePLC					20

#define TrainerPLC						21

#define SoftLimitsPLC					29
#define VersionPLC						30
#define OpenFramePLC					31

// Program numbers
#define ToolChangerPROG 				8
#define CalibrationPROG					9
#define WarmUpPROG						10
#define MaxSpindleSpeedPROG				11

#define ServiceCode100					100	// open loop program
#define ServiceCode104					104	// back and forth program

// Test PLC numbers

//#define SelectCurrentAxisPLC 			6
//#define SelectEHWStepAmountPLC		7

#endif